Summary:	A Swiss army knife for network plumbing
Summary(pl.UTF-8):	"Szwajcarski scyzoryk" do napraw sieci
Name:		netsniff-ng
Version:	0.6.7
Release:	2
License:	GPL v2
Group:		Networking/Utilities
Source0:	http://pub.netsniff-ng.org/netsniff-ng/%{name}-%{version}.tar.xz
# Source0-md5:	2aba9835923c30721fa891a9dc59507c
Patch0:		%{name}-opt.patch
URL:		http://netsniff-ng.org/
BuildRequires:	GeoIP-devel >= 1.4.8
BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libcli-devel
BuildRequires:	libnet-devel
BuildRequires:	libnetfilter_conntrack-devel
BuildRequires:	libnl-devel >= 3.2
BuildRequires:	libpcap-devel
BuildRequires:	libsodium-devel
BuildRequires:	ncurses-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.719
BuildRequires:	sed >= 4.0
BuildRequires:	userspace-rcu-devel
BuildRequires:	zlib-devel
Requires:	GeoIP-libs >= 1.4.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
* netsniff-ng, a fast zero-copy analyzer, pcap capturing and replaying
  tool
* trafgen, a multithreaded low-level zero-copy network packet
  generator
* mausezahn, high-level packet generator for HW/SW appliances with
  Cisco-CLI
* bpfc, a Berkeley Packet Filter compiler, Linux BPF JIT disassembler
* ifpps, a top-like kernel networking statistics tool
* flowtop, a top-like netfilter connection tracking tool
* curvetun, a lightweight curve25519-based IP tunnel
* astraceroute, an autonomous system (AS) trace route utility

%description -l pl.UTF-8
* netsniff-ng - szybkie, niekopiujące narzędzie do analizy,
  przechwytywania pakietów przez pcap i odtwarzania
* trafgen - wielowątkowy, niskopoziomowy, niekopiujący generator
  pakietów sieciowych
* mausezahn - wysokopoziomowy generator pakietów do zastosowań HW/SW z
  interfejsem linii poleceń w stylu Cisco
* bpfc - kompilator filtrów BPF (Berkeley Packet Filter), disasembler
  JIT linuksowego BPF
* ifpps - narzędzie do statystyk sieciowych jądra w stylu programu top
* flowtop - narzędzie do śledzenia połączeń netfiltra w stylu topa
* curvetun - lekki tunel IP oparty na curve25519
* astraceroute - narzędzie autonomicznego systemu (AS) do śledzenia
  tras

%prep
%setup -q
%patch0 -p1

%build
# not autoconf configure
./configure \
	--sysconfdir="%{_sysconfdir}" \
	--prefix="%{_prefix}"

# as of 0.6.7 code relies on -fcommon behaviour, force it for gcc 10+
%{__make} \
	CC="%{__cc}" \
	CPPFLAGS="%{rpmcflags} %{rpmcppflags} -fcommon" \
	%{?debug:DEBUG=1} \
	Q=

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},%{zsh_compdir}}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

for i in *.zsh; do
	cp -p "$i" $RPM_BUILD_ROOT%{zsh_compdir}/_"${i%.zsh}"
done

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS README REPORTING-BUGS bpf_jit_disasm.c bpf.vim
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/*.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/stddef.h
%attr(755,root,root) %{_sbindir}/astraceroute
%attr(755,root,root) %{_sbindir}/bpfc
%attr(755,root,root) %{_sbindir}/curvetun
%attr(755,root,root) %{_sbindir}/flowtop
%attr(755,root,root) %{_sbindir}/ifpps
%attr(755,root,root) %{_sbindir}/mausezahn
%attr(755,root,root) %{_sbindir}/netsniff-ng
%attr(755,root,root) %{_sbindir}/trafgen
%{zsh_compdir}/_astraceroute
%{zsh_compdir}/_bpfc
%{zsh_compdir}/_curvetun
%{zsh_compdir}/_flowtop
%{zsh_compdir}/_ifpps
%{zsh_compdir}/_mausezahn
%{zsh_compdir}/_netsniff-ng
%{zsh_compdir}/_trafgen
%{_mandir}/man8/astraceroute.8*
%{_mandir}/man8/bpfc.8*
%{_mandir}/man8/curvetun.8*
%{_mandir}/man8/flowtop.8*
%{_mandir}/man8/ifpps.8*
%{_mandir}/man8/mausezahn.8*
%{_mandir}/man8/netsniff-ng.8*
%{_mandir}/man8/trafgen.8*
%changelog
* Tue Feb 08 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/netsniff-ng.git;a=log;h=master

* Tue Feb 08 2022 Jan Rękorajski <baggins@pld-linux.org> 7122a6c
- Release 2 (by relup.sh)

* Sun May 24 2020 Jakub Bogusz <qboosh@pld-linux.org> c3b22c6
- added opt patch (use our optflags also for mausezahn)

* Sat May 23 2020 Jakub Bogusz <qboosh@pld-linux.org> 13c17fa
- use -fcommon to fix build with gcc 10

* Sat May 23 2020 Jakub Bogusz <qboosh@pld-linux.org> 9a3541b
- updated to 0.6.7

* Mon Dec 25 2017 Jakub Bogusz <qboosh@pld-linux.org> 5fb2079
- pl, release 2 (rebuild due to libsodium and urcu)

* Sun Nov 05 2017 Tomasz Pala <gotar@pld-linux.org> 1179d33
- %doc typo

* Sun Nov 05 2017 Tomasz Pala <gotar@pld-linux.org> 447758f
- for syntax fixed

* Sun Nov 05 2017 Tomasz Pala <gotar@pld-linux.org> 11e5887
- fix compilation using newer gcc

* Sun Nov 05 2017 Tomasz Pala <gotar@pld-linux.org> a8a3470
- one more try, with no hardening at all

* Sun Nov 05 2017 Tomasz Pala <gotar@pld-linux.org> 56a9b92
- try without our CFLAGS

* Sun Nov 05 2017 Tomasz Pala <gotar@pld-linux.org> 238ebfa
- not sure what breaks the build here...

* Sun Nov 05 2017 Tomasz Pala <gotar@pld-linux.org> 0a2cbae
- disable HARDENING flags trying to mitigate build error, rely on what we have

* Sun Nov 05 2017 Tomasz Pala <gotar@pld-linux.org> 211ed9e
- don't alter other ./configure options

* Sun Nov 05 2017 Tomasz Pala <gotar@pld-linux.org> c50717c
- zsh install directory fixed

* Sun Nov 05 2017 Tomasz Pala <gotar@pld-linux.org> ac292e0
- initial PLD release

